//
// VIIS.h
//
// Definitions for the action script VIIS


// Define the characters introduced by this action script.

// Define the groups introduced by this action script.

// Define the variables introduced by this action script.
#define MISSION_SUCCESS (*p_MISSION_SUCCESS)
#define MISSION_FAILURE (*p_MISSION_FAILURE)
#define NEED_TO_BEGIN_MISSION (*p_NEED_TO_BEGIN_MISSION)
#define MISSION_BEGUN (*p_MISSION_BEGUN)
#define MISSION_END (*p_MISSION_END)
#define ALLIES_FOLLOW_ON_HAIL (*p_ALLIES_FOLLOW_ON_HAIL)
#define PLAY_SIMPLE_CINEMATIC (*p_PLAY_SIMPLE_CINEMATIC)
#define CINEMATIC_COMPLETE (*p_CINEMATIC_COMPLETE)
#define CHAT_DEBUG_SWITCH (*p_CHAT_DEBUG_SWITCH)
#define tAlliedHailCheck (*p_tAlliedHailCheck)
#define tDisplayMainTitle (*p_tDisplayMainTitle)
#define tRemoveMainTitle (*p_tRemoveMainTitle)

DllImport hot_int* p_MISSION_SUCCESS;
DllImport hot_int* p_MISSION_FAILURE;
DllImport hot_int* p_NEED_TO_BEGIN_MISSION;
DllImport hot_int* p_MISSION_BEGUN;
DllImport hot_int* p_MISSION_END;
DllImport hot_int* p_ALLIES_FOLLOW_ON_HAIL;
DllImport hot_int* p_PLAY_SIMPLE_CINEMATIC;
DllImport hot_int* p_CINEMATIC_COMPLETE;
DllImport hot_int* p_CHAT_DEBUG_SWITCH;
DllImport timer_int* p_tAlliedHailCheck;
DllImport timer_int* p_tDisplayMainTitle;
DllImport timer_int* p_tRemoveMainTitle;
DllImport bool USE_ALLIED_FLEET;
DllImport bool ALLIED_FLEET_AGGRESSIVE;
DllImport bool ALLIED_FLEET_VISIBLE_TO_ENEMY;
DllImport bool ENEMY_FLEET_VISIBLE_TO_ALLIES;
DllImport bool USE_SIMPLE_CINEMATIC;
DllImport bool NO_FIGHTING_IN_CINEMATIC;
DllImport bool NO_DAMAGE_DURING_CINEMATIC;
DllImport bool vo_overrides_path;
DllImport bool USE_SCRIPT_FAIL_MESSAGE;
DllImport bool DEBUG_CHAT_SWITCH;
DllImport int PLAYER_TEAM;
DllImport int ENEMY_TEAM;
DllImport int ALLIED_FLEET_TEAM;
DllImport int ENEMY_FLEET_TACTICAL_STANCE;
DllImport int TITLE_DISPLAY_START_DELAY;
DllImport int TITLE_DISPLAY_LENGTH;
DllImport int INTRO_TITLE_HORIZ_POSITION;
DllImport int INTRO_TITLE_VRTCL_POSITION;
DllImport float ALLIED_FOLLOW_CHECK_FREQ;
DllImport float camera1_speed;
DllImport float camera1_focus_speed;
DllImport float camera2_speed;
DllImport float camera2_focus_speed;
DllImport float fade_out_delay;
DllImport float fade_out_length;
DllImport float MISSION_SUCCESS_DISPLAY_LENGTH;
DllImport float MISSION_FAIL_DISPLAY_LENGTH;
DllImport Handle vo_playing;
DllImport Handle camera_path1;
DllImport Handle camera_focus1;
DllImport Handle camera_path2;
DllImport Handle camera_focus2;
DllImport Handle Main_Title;
DllImport Handle Main_Title_Shadow;

// Define the constants introduced by this action script.

// Define the actions introduced by this action script.
DllImport void Start_Mission();
DllImport void Check_Allied_Fleet_Hails();
DllImport void Mission_Success();
DllImport void Mission_Fail();
DllImport void Play_Cinematic();
DllImport void Display_Main_Title();
DllImport void Remove_Main_Title();
	
// Special instances.
#define band_selected (*p_band_selected)
#define tried_warp_team_8 (*p_tried_warp_team_8)
#define tried_warp_team_7 (*p_tried_warp_team_7)
#define tried_warp_team_6 (*p_tried_warp_team_6)
#define tried_warp_team_5 (*p_tried_warp_team_5)
#define tried_warp_team_4 (*p_tried_warp_team_4)
#define tried_warp_team_3 (*p_tried_warp_team_3)
#define tried_warp_team_2 (*p_tried_warp_team_2)
#define tried_warp_team_1 (*p_tried_warp_team_1)
#define strength_team_8 (*p_strength_team_8)
#define strength_team_7 (*p_strength_team_7)
#define strength_team_6 (*p_strength_team_6)
#define strength_team_5 (*p_strength_team_5)
#define strength_team_4 (*p_strength_team_4)
#define strength_team_3 (*p_strength_team_3)
#define strength_team_2 (*p_strength_team_2)
#define strength_team_1 (*p_strength_team_1)
#define moons_team_8 (*p_moons_team_8)
#define moons_team_7 (*p_moons_team_7)
#define moons_team_6 (*p_moons_team_6)
#define moons_team_5 (*p_moons_team_5)
#define moons_team_4 (*p_moons_team_4)
#define moons_team_3 (*p_moons_team_3)
#define moons_team_2 (*p_moons_team_2)
#define moons_team_1 (*p_moons_team_1)
#define isCineractiveDone (*p_isCineractiveDone)
#define isCineractiveCancel (*p_isCineractiveCancel)
#define ALWAYS_EVALUATE (*p_ALWAYS_EVALUATE)
#define WORLD (*p_WORLD)

DllImport hot_int* p_band_selected;
DllImport hot_int* p_tried_warp_team_8;
DllImport hot_int* p_tried_warp_team_7;
DllImport hot_int* p_tried_warp_team_6;
DllImport hot_int* p_tried_warp_team_5;
DllImport hot_int* p_tried_warp_team_4;
DllImport hot_int* p_tried_warp_team_3;
DllImport hot_int* p_tried_warp_team_2;
DllImport hot_int* p_tried_warp_team_1;
DllImport hot_float* p_strength_team_8;
DllImport hot_float* p_strength_team_7;
DllImport hot_float* p_strength_team_6;
DllImport hot_float* p_strength_team_5;
DllImport hot_float* p_strength_team_4;
DllImport hot_float* p_strength_team_3;
DllImport hot_float* p_strength_team_2;
DllImport hot_float* p_strength_team_1;
DllImport hot_int* p_moons_team_8;
DllImport hot_int* p_moons_team_7;
DllImport hot_int* p_moons_team_6;
DllImport hot_int* p_moons_team_5;
DllImport hot_int* p_moons_team_4;
DllImport hot_int* p_moons_team_3;
DllImport hot_int* p_moons_team_2;
DllImport hot_int* p_moons_team_1;
DllImport hot_int* p_isCineractiveDone;
DllImport hot_int* p_isCineractiveCancel;
DllImport dirty_int* p_ALWAYS_EVALUATE;
DllImport character* p_WORLD;



// The script interface pointer
DllImport ScriptInterface *g_pSI;
